IBTOPODIFF(1)

NAME
ibtoopdiff - Fabric Topology Matcher

SYNOPSYS
ibtopodiff [-v][-h] -t <topo file> -d <subnet file> -s <start node name>
  -p <start port num> -g <start port guid>

DESCRIPTION
This utility performs matching between a given topology file (see man ibdm-topology-file) and a subnet.lst file (this file provides a dump of all links in the discovered fabric and generated by ibdiagnet or OpenSM).

ARGUMENTS

-t|--topology <file>
    Topology file. See man ibdm-topology-file for its definition.

-d|--discovered <file>
    subnet.lst file produced by OpenSM or ibdiagnet

-s|--start-node <name>
    The name of the matching start node, also known as anchor node. E.g. H-1/U1

-p|--port-num <num>
    The number of the matching start port, also known as anchor port

-g|--port-guid <guid>
    The guid of the matching start port

OPTIONS

-v|--verbose
    Verbsoe mode

-h|--help
    Provides this help message

AUTHOR
Eitan Zahavi, Mellanox Technologies LTD, eitan@mellanox.co.il